package net.minecraft.server;

import java.io.File;
import java.util.List;

public class ServerNBTManager extends PlayerNBTManager {

    public ServerNBTManager(File file1, String s, boolean flag) {
        super(file1, s, flag);
    }

    public IChunkLoader a(WorldProvider worldprovider) {
        File file1 = this.a();
        DimensionBase dim = DimensionBase.getDimByProvider(worldprovider.getClass());
        if (dim == null || dim.number == 0)
        	return new ChunkRegionLoader(file1);
        else {
        	File file2 = new File(file1, "DIM" + dim.number);
            file2.mkdirs();
            return new ChunkRegionLoader(file2);
        }
    }

    public void a(WorldData worlddata, List list) {
        worlddata.a(19132);
        super.a(worlddata, list);
    }

    public void e() {
        RegionFileCache.a();
    }
}
